Bug 1256034 - [RFE] Support an arbitrary text or script for cloud-init with runcmd section
[RFE] Support an arbitrary text or script for cloud-init with runcmd section
Status: NEW
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Sandro Bonazzola
Nikolai Sednev
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 10:09 EDT by Roy Golan
Modified: 2018-03-12 13:23 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dfediuck: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Roy Golan 2015-08-23 10:09:54 EDT
Description of problem:

Some engine VM specific configuration can be achieved using the help of a script
that the cloud-init will execute. e.g register your engine VM to dynamic dns service so the setup env could resolve it:

1. during setup pass file or text. No validation should be made on the input.
2. input passes as runcmd: section -
      
   runcmd:
    - [ curl, x.x.x.x://register.sh ]

3. cloud init should run it.
Comment 1 Yaniv Lavi 2015-09-01 07:19:49 EDT
What is the use case?
Is this a RFE for future versions?
Comment 2 Doron Fediuck 2015-09-21 09:18:25 EDT
At this point this is an improvement.
Comment 3 Yaniv Kaul 2015-11-22 09:06:11 EST
Michal - is this yours?

Note You need to log in before you can comment on or make changes to this bug.